Chromium ja Firefox Nightly: Ei päivitystä Launchpad- tai Debian-takaporteille

Terveisiä kaikille taas. Tällä kertaa puhun selaimista Mozilla Firefox y Kromijotka ovat Open Source ja niitä käytetään sekä Windowsissa että Macissa, kuten useimmissa GNU / Linux-distroissa (sekä virallisissa kokoelmissa että niiden haarukoissa).

Olen kuitenkin huomannut, että kun lataan Mozilla Firefoxin virallisilta verkkosivustoilta, törmän versioon, joka on pakattu BZip-tiedostona tarballissa ja Chromiumin tapauksessa ZIP-muodossa.

Vaikka Mozilla Firefox ja Chromium helpottavat distros-kehittäjien pakata vakaan versionsa omalla tavallaan, Chromiumin tapauksessa on vähän tai ei ollenkaan kiinnostusta tarjota versiota, joka on vähintään ajankohtainen ja riittävän kunnon nautittavaksi. (Google Chromen tapauksessa voit nähdä, että selaimesi pitäminen ajan tasalla on erittäin kiinnostunut, mutta avoimen lähdekoodin vastaavalla on kiinnostusta, joka jättää paljon toivomisen varaa).

Mozilla Firefoxin kanssa ei ollut mitään vaikeuksia pitää sitä ajan tasalla, koska melkein kaikki distrot ovat ajan tasalla Mozilla Foundationin julkaisuista (jopa Debian päivitä samalla taajuudella kuin sen virallinen vastaava haarukka), mutta Chromiumilla on joitain distroja, joilla ei ole vastaavaa versiota kuin Google Chromen virallisilla versioilla, kuten Debianin tapaus (Sillä ei ole edes takaporttia tai ainakin erityistä repoa, kuten Iceweaselilla).

Ubuntun tapaus (sinun on lisättävä Launchpadin tarjoama tietoturvarepo pakettien pitämiseksi ajan tasalla ja ilmeisesti se pysyi versiossa 25 kaikissa versioissa, jopa Lucidissä), joten päätin käyttää nimenomaan asenna Chromiumin iltaversio osoitteesta lähes automatisoidulla tavalla Debian-foorumin käyttäjiltä, ​​koska virallisesti en löydä yhtään repoa tai Linux Mintia, joka olisi todella ajan tasalla Debian-perheestä (muissa distroissa ne ovat samankaltaisia ​​kuin Google Chromen vakaa versio).

Jos voisin löytää repon, jossa pidän Chromiumin vakaat versiot ajan tasalla (tai ainakin öisin), kiitän suuresti apua. Toistaiseksi jatkan komentosarjan käyttöä, jotta voin työskennellä Chromiumin iltaisen Buildin kanssa (tämä mukautus, jonka toin juuri, kun käytin Windowsia).


Artikkelin sisältö noudattaa periaatteita toimituksellinen etiikka. Ilmoita virheestä napsauttamalla täällä.

32 kommenttia, jätä omasi

Jätä kommentti

Sähköpostiosoitettasi ei julkaista.

*

*

  1. Vastuussa tiedoista: Miguel Ángel Gatón
  2. Tietojen tarkoitus: Roskapostin hallinta, kommenttien hallinta.
  3. Laillistaminen: Suostumuksesi
  4. Tietojen välittäminen: Tietoja ei luovuteta kolmansille osapuolille muutoin kuin lain nojalla.
  5. Tietojen varastointi: Occentus Networks (EU) isännöi tietokantaa
  6. Oikeudet: Voit milloin tahansa rajoittaa, palauttaa ja poistaa tietojasi.

  1.   elav dijo

    No, on normaalia, että et löydä Firefoxia Debianista, koska vaikka se on OpenSource, siinä on osia (kuten logo) rajoittavilla lisensseillä, jotka eivät täytä Debianin tavoitteita, joten löydät Iceweaselin.

    Squeezessä en tiedä, mutta Debian Wheezyssä meillä on uusin vakaa versio Chromiumista melko pian. Juuri nyt on versio: 26.0.1410.43-1.

    1.    eliotime3000 dijo

      Minulla ei ole ongelmia Iceweaselin kanssa Debian Stable -sovelluksessa, koska se toimii minulle samalla tavalla kuin Firefox (sen mozilla.debian.net -portti on se, jota käytän Iceweaselin pitämiseen ajan tasalla ja se on synkronoitu kokeellisen kanssa), mutta Chromiumissa on ongelma, että kokeellinen repo on lisättävä vakaaseen Debian-versioon (Testauksessa se on kuin olisit lisännyt taustaportin).

      Nyt, jos joku haluaa käyttää öistä koontiversiota, hänen on tehtävä sama feat, jota käytetään Firefoxin asennuksessa (tekemällä komentosarja selaimen asentamiseksi / päivittämiseksi) ja hänellä on oltava vähintään ytimen versio 3 (yritin jo kokeilla) käyttäen tietokoneellani oletusarvoisesti tullutta ytimen versiota, mutta ilmeisesti se toimisi Wheezyllä ilman ongelmia).

      Muiden ohjelmien, kuten LibreOffice, Skype ja / tai Angry IP Scanner, kanssa asennus on ollut minulle helppoa, koska minun ei tarvinnut käyttää mitään asennus- / päivityskomentoja, mutta minun ei tarvinnut käyttää mitään muuta eikä vähempää kuin DPKG ja / tai GDebi .

    2.    anonyymi dijo

      En ole tutkinut syitä, mutta se hämmästyttää minua siitä, että Chromium-versio, joka, jos en erehdy, julkaistiin vasta huhtikuussa, on jo osa Wheezy-pakettia, kun taas Iceweasel 17 on marraskuu. Toivottavasti se ei tuo ongelmia niin tuoreena olemisesta.

      1.    eliotime3000 dijo

        Mihin Iceweaselin versioon viitat? Liikkuvaan julkaisuun, joka on osoitteessa mozilla.debian.net, tai ESR: ään, joka on jo Wheezyn takaportissa? Koska minulla on Iceweasel, on 20 ja minulla on se Debian-puristimessani: http://i.imgur.com/yavIei5.png (mozilla.debian.net-takaportista, koska Squeeze-takaportti on edelleen 10 ESR: ssä).

        1.    anonyymi dijo

          Wheezyn oletusversio, joka on 10.0.12, kuten Squeeze on 3.5.16.

          http://packages.debian.org/wheezy/iceweasel

          Ajattelin aina, että on hyvä hyväksyä versio 17.0, kun se ilmestyi, mutta he eivät tehneet sitä, he jättivät sen kokeelliseen ja mozilla.debian.netin Squeezen backportiin.

          1.    eliotime3000 dijo

            On sääli, mutta on kelvollista käyttää Debian Squeeze -porttia osoitteesta mozilla.debian.net, jos et halua riskoida kokeellisen repon käyttämisellä (sinänsä repojen laatu on melkein sama, mutta se ei sisällä huonolaatuiset repot).

  2.   arpajaiset dijo

    On olemassa kaksi arkistoa, jotka pitävät kromin ajan tasalla, yksi vakaa (versio 25.0.1364.172) ja kehitys (27.0.1453.6), vastaavat PPA: t ovat ppa: av-shkop / chromium ja ppa: av-shkop / chromium-dev

    1.    eliotime3000 dijo

      Paljon kiitoksia, mutta haluan lisätä PPA: t vanhaan (avainpalvelimella ja muokkaamalla "sources.list" -tiedostoa). Näin vältän ongelmia järjestelmänvalvojan oikeuksien ja sudon kanssa (kuten pidin jo mielestäni "su", eikö?).

  3.   kehys dijo

    Debianissa asia on hyvin yksinkertainen, jos haluat pysyä vakaalla haaralla, sinun on annettava itsellesi ajatus siitä, että ohjelmat eivät ole niiden uusimmassa versiossa. Nyt jos haluat ohjelmien uusimmat versiot (tai melkein) käyttää testausta tai epävakaata 😉

    1.    eliotime3000 dijo

      Olen tyytyväinen Debian Stableen, koska tuskin käytän muutamia ohjelmia, jotka pidän ajan tasalla (tietenkin selaimet ja Skype). Mutta mitä tulee Chromiumiin, he eivät ole tehneet taustaporttia erityisesti vakaalle Debian-versiolle kuten Iceweasel (joka muuten antaa sinun valita jopa aurora-version ja toimii normaalisti Debian Stable -ohjelmassa).

      Kokeellisen haaran osalta Debian Stable pyytää minulta julkista avainta, jotta sitä voidaan käyttää mihin tahansa tiettyyn ohjelmaan.

      1.    tavo dijo

        Debianin vakaa versio on rikkoutumaton ja se tietoturva, jonka se antaa sinulle ajan myötä, vaikeuttaa sen korvaamista.Tämä Debian Squeeze, josta kirjoitan, on asennettu sen käynnistämisen jälkeen, useita vuosia sitten ja tänään se esitteli ensimmäisen virhe, pikemminkin vika oli minun. Osoittautuu, että kaavio ei käynnisty ensimmäistä kertaa levytilan puutteen vuoksi, gdm ei voinut kirjoittaa rekisterimerkintöjä. Ratkaisin sen poistamalla joitain kuvakepaketteja ja muita paskaa tty: stä, sitten määritin kaikki paketit uudelleen ja käynnistin uudelleen ongelmitta, minun on muutettava levyn kokoa, johon järjestelmä on asennettu, koska se on melko säädetty, paitsi että en hämmästy, että vuosien jälkeen ilman huoltoa se toimii samalla sujuvuudella ensimmäisen päivän

        1.    eliotime3000 dijo

          Ja siksi pidän Debianista: hylätty niin moneksi vuodeksi ja yhden päivän kuluttua käynnistät sen ja se toimii normaalisti.

  4.   diatsepa dijo

    Chromiumin uusin versio on sid. Iceweaselin uusin versio on kokeellinen.

    1.    eliotime3000 dijo

      Ongelma ei ole Iceweaselissa (kiitos hyväksi, että käytän mozilla.debian.net -porttia, joka on samankaltainen kuin vakaa, beeta- ja aurora-versioiden kokeellinen repo), vaan Chromiumissa, johon en voi lisätä kokeellista repoa Kromi, koska olen tarkalleen vakaa (testauksessa voit lisätä repon ongelmitta).

      1.    92 dijo

        Totuus ei muutu paljoakaan kromin version 17 tai 18 ja 25 ... välillä, ja enemmän ottaen huomioon, että kromilla ei oletusarvoisesti ole flash-soittimen pippuria, joten rauhoita sielusi tai lataa kromi sen verkkosivustolta

        1.    eliotime3000 dijo

          Käytän jo Google Chromea Linuxille, mutta työskentelen tarkasti molempien selainten kanssa, koska minulla on kaksi GMail-tiliä.

          Lisäksi deaktivoin Google Chromessa Pepper Flash Playerin, koska se oli paljon vähemmän sujuva kuin Adobe tarjoaa Flash Flash 11.2: n (kiitos Jumalalle, että virallisissa repoissa sillä oli .deb-paketti, jolla oli komentosarja, joka latasi ja asensi automaattisesti Flash-soitin).

  5.   Rolo dijo

    Olkoon samaa mieltä siitä, että debian-puristus (nykyinen vakaa) kolmen päivän kuluessa muuttuu vanhaksi, joten ei ole loogista, että pakettipäivityksiä on uusilla versioilla, ei edes backportsissa.
    ja on enemmän kuin todennäköistä, että loppujen lopuksi on paljon monimutkaisempaa jatkaa uusimpien versioiden käyttämistä ohjelmista, kuten kromi ja jääkiekko, muun muassa enemmän kuin mitään, kun puristus siirtyy arkistoreppuihin.

    1.    eliotime3000 dijo

      Voi olla, mutta virallisella Debian-sivustolla he eivät ole toistaiseksi ilmoittaneet mitään virallista (toistaiseksi postituslistoilla on huhuttu uutisia), koska ne olisi virallisesti julkaistava heidän uutisosassaan.

      1.    Rolo dijo

        lopulta puristuksesta tuli vanha, kuten aiemmin mainitsin.
        Oli hyvin ilmeistä, että he eivät aio jatkaa ohjelmien nykyisempien versioiden asettamista, kun he aikoivat puristaa arkistoitavaksi.

  6.   Alf dijo

    Henkilökohtaisesti ei ole minun edun mukaista käyttää uusinta selainversiota, koska lisäosia ja laajennuksia, joita jotkut meistä käyttävät, ei kehitetä samanaikaisesti, ja kun selainta päivitetään, lisäosat ovat hyödyttömiä.

    1.    anonyymi dijo

      Hyvä asia, luulin olevani ainoa hullu ihminen täällä, joka mieluummin halusi ESR: n nopean vapautuksen sijaan.

    2.    92 dijo

      Se tapahtuu yleensä vain Firefoxissa ja sen primitiivisissä laajennustilassa.

      1.    eliotime3000 dijo

        Älä kerro minulle, koska Chromium 25: ssä, joka minulla on, on sovelluksia, jotka eivät näy, jos minulla ei ole Google Chromen tasoa.

      2.    MSX dijo

        Firefoxilla ja Debianilla on oma osuutensa primitivismistä, mutta Firefoxin erityistapauksessa se ei mielestäni ole niin.
        Pikemminkin tapahtuu jotain erilaista: Chrome / Chromium-laajennukset ovat hyvin samankaltaisia ​​kuin Opera, koska ne sallivat hyvin määritellyn osajoukon selaimen osista, joihin pääsee ja jotka on ohjelmoitu JS: ään, minkä vuoksi ne voidaan aktivoida ja deaktivoida, kun lennän niin helposti
        Firefoxin tapauksessa laajennukset ohjelmoidaan päinvastoin Firefoxin omalla XUL-kehyksellä, minkä vuoksi ne ovat niin tehokkaita - itse asiassa ne ovat pienikokoisia natiivisovelluksia - ja linkitettynä niin selaimeen, kaikki uudet muutokset selain vaikuttaa asennettuihin laajennuksiin.
        Tervehdys!

        1.    eliotime3000 dijo

          Firefoxissa / Iceweaselissa / IceCatissa he tekevät ihmeitä, jos jätetään irti laajennuksista. Chromiumissa / Google Chromessa sinulla on helppo käyttää laajennuksia tarvitsematta useimmissa tapauksissa luottaa kehykseen.

    3.    eliotime3000 dijo

      Firefoxilla / Iceweaselilla sinulla on vapaus valita versio, joka antaa sinulle laajennetun tuen (ESR: n tapauksessa), mutta Chromiumissa näin ei ole.

      Käytän Chromiumia enimmäkseen voidessani testata erilaisia ​​komponentteja, jotka lisätään HTML5 / CSS3: een ja muihin verkkokieliin, jotka ovat innovatiivisia. Jos pystyt standardoimaan nämä kielet mahdollisimman pian, sinun ei tarvitse luottaa jatkuviin julkaisuihin.

  7.   Jorge dijo

    Debian loi Firefox-haarukan monta vuotta sitten, muistan, että tästä oli tehty paljon valituksia, syyttäen heitä Talebanista logon puolesta (sekä mozilla että debian). Debian ei ole kovin halunnut vaihtaa "kokonaisia" versioita joka kuukausi, painopiste on vakaudessa eikä viimeisimmässä. Tar.bz2-paketin asentaminen ja päivittäminen mozillalle on vähemmän helppoa debianissa ja ubuntus lopetettu, sinun tarvitsee vain purkaa se järjestelmäkansioon ja luoda pääsyt. Jos joku tarvitsee sitä, jätän joitain komentoluetteloita tähän http://paste.desdelinux.net/4767 jotta he tekisivät sen yhdessä järjestyksessä tarvitsematta edes arkistoja tai muuta selainta paketin lataamiseen, Regards

    1.    eliotime3000 dijo

      Paljon kiitoksia käsikirjoituksesta. Itse asiassa käytän Iceweasel 20: tä (Firefoxin kanssa vastaavaa versiota), jonka sain mozilla.debian.net -sivustolta, ja se toimii hyvin Debian-tallilla.

      Lisäksi Firefoxin ja Iceweaselin välinen suorituskyky on käytännössä sama, ero, joka virallisella Firefoxilla on yhteisön Firefoxin kanssa, on se, että siitä puuttuu "About" -ikkunassa näkyvä päivitysohjelma niiden haarukoiden kuten Iceweasel ja IceCat lisäksi yleensä on yksi kuin toinen korjaustiedosto tai muu muunnos (GNU IceCat estää Flash Playerin käynnistyksen ja pakottaa sinut käyttämään ilmaisia ​​laajennuksia, kuten Gnash, alkuperäisen IceWeaselin lisäksi).

  8.   MSX dijo

    Enemmän foorumikysymyksiä kuin blogikirjoituksia.
    Itse asiassa ... ON foorumin kysymys.

    1.    eliotime3000 dijo

      Anteeksi, että kirjoitin [forum] [/ forum] -tilassa, mutta joskus monia näkökohtia ei korosteta, kuten esimerkiksi homogeenisuuden puute Chromium-versioissa (nyt melkein kaikki distrot ovat versiossa 26, joka on tällä hetkellä virallinen Google-versio Chrome), mutta ainakin Firefox ja haarukat ovat suhteellisen kaikki parissa (Iceweaselin tapauksessa mozilla.debian.net-takaportti on virallisessa versiossa 20 sekä beetaversiossa 21 ja aurorassa 22).

  9.   Alf dijo

    Tämä ei koske kyseistä aihetta, mutta se liittyy Firefoxiin

    http://muyseguridad.net/2013/05/03/mozilla-critica-al-productor-del-software-espia-gubernamental-finfisher/

    Vakava?

    1.    eliotime3000 dijo

      Ilmeisesti tämä hänen mainitsemansa on Mozilla-säätiön filosofian vastaista: huomaamaton selain ja kunnioittava Internet-tapojasi.